<?php
/**
 * @version    CVS: 1.0.0
 * @package    Com_Record
 * @author     Eric Fagault <ericfagault34@gmail.com>
 * @copyright  2021 Eric Fagault
 * @license    GNU General Public License version 2 ou version ultérieure ; Voir LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

$canEdit = JFactory::getUser()->authorise('core.edit', 'com_record');

if (!$canEdit && JFactory::getUser()->authorise('core.edit.own', 'com_record'))
{
	$canEdit = JFactory::getUser()->id == $this->item->created_by;
}
?>

<div class="item_fields">

	<table class="table">
		

		<tr>
			<th><?php echo JText::_('COM_RECORD_FORM_LBL_PERF_EPREUVE'); ?></th>
			<td><?php echo $this->item->epreuve; ?></td>
		</tr>

		<tr>
			<th><?php echo JText::_('COM_RECORD_FORM_LBL_PERF_TYPE'); ?></th>
			<td><?php echo $this->item->type; ?></td>
		</tr>

		<tr>
			<th><?php echo JText::_('COM_RECORD_FORM_LBL_PERF_NOM'); ?></th>
			<td><?php echo $this->item->nom; ?></td>
		</tr>

		<tr>
			<th><?php echo JText::_('COM_RECORD_FORM_LBL_PERF_SAISON'); ?></th>
			<td><?php echo $this->item->saison; ?></td>
		</tr>

		<tr>
			<th><?php echo JText::_('COM_RECORD_FORM_LBL_PERF_PERF'); ?></th>
			<td><?php echo $this->item->perf; ?></td>
		</tr>

		<tr>
			<th><?php echo JText::_('COM_RECORD_FORM_LBL_PERF_CAT'); ?></th>
			<td><?php echo $this->item->cat; ?></td>
		</tr>

	</table>

</div>

<?php if($canEdit && $this->item->checked_out == 0): ?>

	<a class="btn" href="<?php echo JRoute::_('index.php?option=com_record&task=perf.edit&id='.$this->item->id); ?>"><?php echo JText::_("COM_RECORD_EDIT_ITEM"); ?></a>

<?php endif; ?>

<?php if (JFactory::getUser()->authorise('core.delete','com_record.perf.'.$this->item->id)) : ?>

	<a class="btn btn-danger" href="#deleteModal" role="button" data-toggle="modal">
		<?php echo JText::_("COM_RECORD_DELETE_ITEM"); ?>
	</a>

	<div id="deleteModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deleteModal" aria-hidden="true">
		<div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
			<h3><?php echo JText::_('COM_RECORD_DELETE_ITEM'); ?></h3>
		</div>
		<div class="modal-body">
			<p><?php echo JText::sprintf('COM_RECORD_DELETE_CONFIRM', $this->item->id); ?></p>
		</div>
		<div class="modal-footer">
			<button class="btn" data-dismiss="modal">Close</button>
			<a href="<?php echo JRoute::_('index.php?option=com_record&task=perf.remove&id=' . $this->item->id, false, 2); ?>" class="btn btn-danger">
				<?php echo JText::_('COM_RECORD_DELETE_ITEM'); ?>
			</a>
		</div>
	</div>

<?php endif; ?>